io.agora.rtc

## Enum Constants.PrimaryID

- java.lang.Object
- - java.lang.Enum<Constants.PrimaryID>
  - - io.agora.rtc.Constants.PrimaryID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.PrimaryID>
  Enclosing class:
    Constants

      public static enum Constants.PrimaryID
      extends java.lang.Enum<Constants.PrimaryID>

  Color primaries ID.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PRIMARYID_BT2020` BT.2020
    `PRIMARYID_BT470BG` BT.470BG
    `PRIMARYID_BT470M` BT.470M
    `PRIMARYID_BT709` BT.709
    `PRIMARYID_FILM` Film
    `PRIMARYID_JEDECP22` JEDEC P22 (Identical to EBU3213-E)
    `PRIMARYID_SMPTE170M` SMPTE 170M (Identical to BT601)
    `PRIMARYID_SMPTE240M` SMPTE 240M
    `PRIMARYID_SMPTEST428` SMPTE ST 428
    `PRIMARYID_SMPTEST431` SMPTE ST 431
    `PRIMARYID_SMPTEST432` SMPTE ST 432
    `PRIMARYID_UNSPECIFIED` Unspecified

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value` Integer value of the color primaries ID

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.PrimaryID id)` Gets the integer value of the color primaries ID.
    `static Constants.PrimaryID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.PrimaryID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMARYID_BT709

          public static final Constants.PrimaryID PRIMARYID_BT709

      BT.709

    - #### PRIMARYID_UNSPECIFIED

          public static final Constants.PrimaryID PRIMARYID_UNSPECIFIED

      Unspecified

    - #### PRIMARYID_BT470M

          public static final Constants.PrimaryID PRIMARYID_BT470M

      BT.470M

    - #### PRIMARYID_BT470BG

          public static final Constants.PrimaryID PRIMARYID_BT470BG

      BT.470BG

    - #### PRIMARYID_SMPTE170M

          public static final Constants.PrimaryID PRIMARYID_SMPTE170M

      SMPTE 170M (Identical to BT601)

    - #### PRIMARYID_SMPTE240M

          public static final Constants.PrimaryID PRIMARYID_SMPTE240M

      SMPTE 240M

    - #### PRIMARYID_FILM

          public static final Constants.PrimaryID PRIMARYID_FILM

      Film

    - #### PRIMARYID_BT2020

          public static final Constants.PrimaryID PRIMARYID_BT2020

      BT.2020

    - #### PRIMARYID_SMPTEST428

          public static final Constants.PrimaryID PRIMARYID_SMPTEST428

      SMPTE ST 428

    - #### PRIMARYID_SMPTEST431

          public static final Constants.PrimaryID PRIMARYID_SMPTEST431

      SMPTE ST 431

    - #### PRIMARYID_SMPTEST432

          public static final Constants.PrimaryID PRIMARYID_SMPTEST432

      SMPTE ST 432

    - #### PRIMARYID_JEDECP22

          public static final Constants.PrimaryID PRIMARYID_JEDECP22

      JEDEC P22 (Identical to EBU3213-E)

  - ### Field Detail

    - #### value

          public final int value

      Integer value of the color primaries ID

  - ### Method Detail

    - #### values

          public static Constants.PrimaryID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.PrimaryID c : Constants.PrimaryID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.PrimaryID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.PrimaryID id)

      Gets the integer value of the color primaries ID.
      Parameters:
        `id` - Color primaries ID
      Returns:
        The integer value